> For the complete documentation index, see [llms.txt](https://docs.ritabot.gg/ritabot-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ritabot.gg/ritabot-docs/version-history/130/v1.3.5.md).

# V1.3.5

{% hint style="info" %}
If you need help at any point join our [**Discord Server**](https://discord.gg/mgNR64R) and someone will help you.
{% endhint %}

## Inital Release

{% code overflow="wrap" %}

```markdown
### 1.3.5-0
Date: 17/10/22
User: Zycore
> ----------
>>> .env File
* Defined `DISCORD_BOT_DEV_ID` in env file

>>> message.js
* Changed variable `message.isOwner` to `message.isGuildOwner`

>>> events.js
* Added in `process.env.DISCORD_BOT_DEV_ID = process.env.DISCORD_BOT_DEV_ID || "0";` to load variables on boot.

>>> translate.js
* Updated with arts new code

>>> auth.js
* Removed `exports.donation` as it was not used
* Removed `exports.changelog` as it was not used
* Removed `devID` and set variable in `.env` file
* Set fallback for if `DISCORD_BOT_DEV_ID` is missing and will use `DISCORD_BOT_OWNER_ID`

>>> settings.js
* Removed `listservers` command from settings.js
* Removed `listusers` command from settings.js

>>> misc.js
* Removed `costcalc` commands and variables
* Removed Mentions of ko-fi from responces

>>> join.js, invalid.js, choose_server
* Removed Mentions of ko-fi from responces
```

{% endcode %}

## V-1

{% code overflow="wrap" %}

```markdown
### 1.3.5-1
Date: 17/10/22
User: Zycore
> ----------
>>> translate.js
* New `translate.js` code

>> Error's
TypeError: Cannot read properties of null (reading 'user_id')
    at Object.checkSubActive (c:..\GitHub\RitaBotBuild\src\core\helpers.js:79:24)
    at processTicksAndRejections (node:internal/process/task_queues:96:5)
    at async Object.subExpired (c:..\GitHub\RitaBotBuild\src\core\helpers.js:39:7)
    at async run (c:..\GitHub\RitaBotBuild\src\message.js:265:8)
```

{% endcode %}

## V-2

{% code overflow="wrap" %}

```markdown
### 1.3.5-2
Date: 18/10/22
User: Qjuh
> ----------
>>> message.js
* Removed `message.server` and `message.stats` being attached to cached messages

>>> profanity.js, send.js, translate.js, translate.last.js
* Changed to use `db.server_obj` instead of the now removed `data.message.server`

>>> helpers.js
* added check `if(!sub)` to account for non-subbed servers and fix the error in console `Cannot read properties of null (reading 'user_id')`
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ritabot.gg/ritabot-docs/version-history/130/v1.3.5.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
